Announcement

Collapse
No announcement yet.

Tried uploading and installing the new patch and the site went down.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Tried uploading and installing the new patch and the site went down.

    Tried uploading and installing the new patch and the site went down. I can access the admin but not the site. How do I recover? Should I reupload the original program.

  • #2
    Download records say you were running vBulletin 5.5.2 previous. This means that you must perform a full upgrade.

    Make sure your server meets the minimum requirements listed here: https://forum.vbulletin.com/forum/vb...m-requirements
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API

    Comment


    • #3
      Ok, I purchased the new 5 forum as you suggested (Order # 1000037924). How do I go about installing it on top of the 5.5.2 version I have now? Do I just upload it on top of the current version?

      Comment


      • #4
        I have a larger question. My original vbulletin is still functioning from 2007 at https://www.daycare.com/forum
        It was beyond my knowledge base for me to upgrade the huge SQL file to the new vbulletin 5 so I started a new server at https://forum.daycare.com and started the new forum over from scratch.
        Can I pay someone for support to move the old database from the old forum to work with the new V5 on the new server? I have everything backed up, I just don't know how to do it. It would be great to be able to have the old content on the new V5 version. Is that possible?

        Comment


        • #5
          You can purchase a professional upgrade at https://www.vbulletin.com/en/addons.html

          Translations provided by Google.

          Wayne Luke
          The Rabid Badger - a vBulletin Cloud demonstration site.
          vBulletin 5 API

          Comment


          • #6
            I upgraded to the full patch vBulletin 5.6.4 Patch Level 1. Now now get this:

            An unexpected error was returned: 'Call to undefined method Api_Interface_Collapsed::urlInstance()'

            While the admin section is functioning fine, none of the forum channels, forums, blogs or anything for that matter works on the member forum. I see the channels in the admin section but they are not appearing on the visual website.

            When I upload the previous forum before the patch, everything is back up but there are still issues.
            Last edited by michaelcastello; Sun 13 Jun '21, 11:33pm.

            Comment


            • #7
              The error can occur in hundreds of different places. Every single API call uses an API Interface. Need the full error to understand where this is occuring..

              An unexpected error was returned: 'Call to undefined method Api_Interface_Collapsed::urlInstance()'
              There should be file paths and a stack trace in the error message.
              Translations provided by Google.

              Wayne Luke
              The Rabid Badger - a vBulletin Cloud demonstration site.
              vBulletin 5 API

              Comment


              • #8
                Originally posted by Wayne Luke View Post
                The error can occur in hundreds of different places. Every single API call uses an API Interface. Need the full error to understand where this is occuring..



                There should be file paths and a stack trace in the error message.
                Since I just purchased the newest forum, should I just backup the database and remove the current forum and state again from scratch? I should be able to save the two config files and upload the database and be back to normal?

                Comment


                • #9
                  The latest version is vBulletin 5.6.4 PL1. You said you already upgraded to this version. Reuploading the files will not resolve fatal PHP Errors. Only knowing where the error is occurring and why via the full error message and stack trace will allow us to understand what is going on.
                  Translations provided by Google.

                  Wayne Luke
                  The Rabid Badger - a vBulletin Cloud demonstration site.
                  vBulletin 5 API

                  Comment


                  • #10
                    I tried installing the patch. While the Admin CP showed it successfully upgraded, the member forum would not work. So I am starting from scratch with a new VB that I just bought a couple days ago.

                    Comment


                    • #11
                      You cannot install a patch on vBulletin 5.5.2. You must perform a full upgrade. https://forum.vbulletin.com/forum/vb...lletin-connect

                      TO be honest, I don't know what the problem with your site is. My suggestion is to either purchase a professional upgrade or migrate your site to vBulletin Cloud so we can manage these things on our servers.
                      Last edited by Wayne Luke; Mon 14 Jun '21, 2:11pm.
                      Translations provided by Google.

                      Wayne Luke
                      The Rabid Badger - a vBulletin Cloud demonstration site.
                      vBulletin 5 API

                      Comment


                      • #12
                        This is so confusing. I have been using vbulletin since 2007 at https://www.daycare.com/forum. It still works great.
                        I would have liked to have just moved the 3.8 to 5 but it didn't seem possible.
                        I had bought VB5 in 2019 at that time.
                        Last month I decided to start a new daycare forum at https://forum.daycare.com using the VB5 I previously purchased. It worked great for several weeks and then I started seeing issues.
                        I noticed this in the Admin CP:
                        There is a newer version of vBulletin available to download
                        Latest version available: 5.6.4 Patch Level 1. You are currently running vBulletin version 5.5.2.

                        Click here to download vBulletin 5.6.4 Patch Level 1 from the Members' Area
                        I installed the 5.6.4 Patch Level 1........ but the members forum showed no member channels or content, but the Admin CP worked fine. I had to reupload 5.5.2 to get it working but it still have issues that are getting worse..
                        Attached Files

                        Comment


                        • #13
                          To upgrade to vBulletin 5.6.4, you need to follow the instructions that I provided above.

                          vBulletin 5.6.4 requires a minimum PHP version of 7.2. This means you need to shut down your 3.8.0 because it will not work with versions of PHP higher than 5.5.X. Every year we release a new series of vBulletin. This new series has different minimum requirements for PHP for security purposes and every year older versions of PHP reach end of life. Every year there are many bug fixes added to vBulletin and older code is rewritten to be more efficient and to keep up with the newer versions of vBulletin.

                          If you do not want to maintain your own vBulletin server, you should look at vBulletin Cloud. We host the software, we make sure that the servers are secure, we automatically update your software with every single security patch and upgrade.
                          Translations provided by Google.

                          Wayne Luke
                          The Rabid Badger - a vBulletin Cloud demonstration site.
                          vBulletin 5 API

                          Comment


                          • #14
                            If you look at the attachment I sent I am using php 7.4.20

                            Comment


                            • #15

                              I guess there are two stories here that are conflicting.
                              My old server that is supporting 3.8 is dedicated to preserving the old forum using old programs and platforms. It hums along beautifully.

                              The new server has the latest bells and whistles and where I am installing 5.6. It is using php 7.4.20
                              That is where I am having issues and need help.

                              like these alerts:
                              An unexpected error was returned: 'Class 'vB_Api_UserGroup' not found'
                              An unexpected error was returned: 'Can't find class vB_Api_Usergroup'

                              I can't edit messages or view IP as admin. The groups that were created have all disappeared. The program shows WORKING and hangs. See attached.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X